/***************************************************************************
 *  The FreeMedForms project is a set of free, open source medical         *
 *  applications.                                                          *
 *  (C) 2008-2014 by Eric MAEKER, MD (France) <eric.maeker@gmail.com>      *
 *  All rights reserved.                                                   *
 *                                                                         *
 *  This program is free software: you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation, either version 3 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program (COPYING.FREEMEDFORMS file).                   *
 *  If not, see <http://www.gnu.org/licenses/>.                            *
 ***************************************************************************/
/***************************************************************************
 *  Main developer: Eric MAEKER, <eric.maeker@gmail.com>                   *
 *  Contributors:                                                          *
 *       NAME <MAIL@ADDRESS.COM>                                           *
 ***************************************************************************/
#ifndef TRANS_NUMBERS_H
#define TRANS_NUMBERS_H

#include <qglobal.h>

namespace Trans {
namespace Constants {

// Widely used words
const char* const ONE         = QT_TRANSLATE_NOOP("tkConstants", "one");
const char* const TWO         = QT_TRANSLATE_NOOP("tkConstants", "two");
const char* const THREE       = QT_TRANSLATE_NOOP("tkConstants", "three");
const char* const FOUR        = QT_TRANSLATE_NOOP("tkConstants", "four");
const char* const FIVE        = QT_TRANSLATE_NOOP("tkConstants", "five");
const char* const SIX         = QT_TRANSLATE_NOOP("tkConstants", "six");
const char* const SEVEN       = QT_TRANSLATE_NOOP("tkConstants", "seven");
const char* const EIGHT       = QT_TRANSLATE_NOOP("tkConstants", "eight");
const char* const NINE        = QT_TRANSLATE_NOOP("tkConstants", "nine");

const char* const TEN         = QT_TRANSLATE_NOOP("tkConstants", "ten");
const char* const ELEVEN      = QT_TRANSLATE_NOOP("tkConstants", "eleven");
const char* const TWELVE      = QT_TRANSLATE_NOOP("tkConstants", "twelve");
const char* const THIRTEEN    = QT_TRANSLATE_NOOP("tkConstants", "thirteen");
const char* const FOURTEEN    = QT_TRANSLATE_NOOP("tkConstants", "fourteen");
const char* const FIFTEEN     = QT_TRANSLATE_NOOP("tkConstants", "fifteen");
const char* const SIXTEEN     = QT_TRANSLATE_NOOP("tkConstants", "sixteen");
const char* const SEVENTEEN   = QT_TRANSLATE_NOOP("tkConstants", "seventeen");
const char* const EIGHTEEN    = QT_TRANSLATE_NOOP("tkConstants", "eighteen");
const char* const NINETEEN    = QT_TRANSLATE_NOOP("tkConstants", "nineteen");

const char* const TWENTY      = QT_TRANSLATE_NOOP("tkConstants", "twenty");
const char* const THIRTY      = QT_TRANSLATE_NOOP("tkConstants", "thirty");
const char* const FOURTY      = QT_TRANSLATE_NOOP("tkConstants", "fourty");
const char* const FIFTY       = QT_TRANSLATE_NOOP("tkConstants", "fifty");
const char* const SIXTY       = QT_TRANSLATE_NOOP("tkConstants", "sixty");
const char* const SEVENTY     = QT_TRANSLATE_NOOP("tkConstants", "seventy");
const char* const EIGHTY      = QT_TRANSLATE_NOOP("tkConstants", "eighty");
const char* const NINETY      = QT_TRANSLATE_NOOP("tkConstants", "ninety");

const char* const HUNDRED     = QT_TRANSLATE_NOOP("tkConstants", "hundred");
const char* const THOUSAND    = QT_TRANSLATE_NOOP("tkConstants", "thousand");
const char* const MILLION     = QT_TRANSLATE_NOOP("tkConstants", "million");
const char* const BILLION     = QT_TRANSLATE_NOOP("tkConstants", "billion");
const char* const TRILLION    = QT_TRANSLATE_NOOP("tkConstants", "trillion");

}
}

#endif // TRANS_NUMBERS_H
